<!-- ITSIG exchange Base Module -->
<!-- file: stdex-base.mod -->

<!-- ITSIG exchange Base Module

     This is new DTD for ISO standards. Version 0.94 
     -//ISO/CS//DTD std::base::0.94//EN

     (c) International Organization for Standardization 1991 Permission
         to copy in any form is granted for use with comforming WebSGML 
         systems and appilications as defined in ISO 8879:1986(WWW),
         provided this notice is included in all copies.
-->


<!ENTITY % notation.mod PUBLIC "-//ISO/CS//DTD std::notation//EN" "stdex-notation.mod" >
%notation.mod;


<!-- ***** ENTITY  #DEFAULT  "?ENTITY?"  -->


<!ENTITY % ID       "ID" >
<!ENTITY % IDREF    "IDREF" >
<!ENTITY % ENTITY   "ENTITY" >

<!--
    parameter entities for the MAIN document 

    std.name -  top level element type name
    std.model - top level element type content model
-->
<!ENTITY  % std.name    "standard" >

<!ENTITY  % std.model   "profile?, links?, tpage, toc?, foreword, intro?, body, (annexn|annexi)*, annexbl?, index*, lpage?" >


<!-- 
    parameter entities to be defined 

    std.profile - profile element type
-->

<!ENTITY % std.profile "<!ELEMENT profile  EMPTY>" >


<!-- 
    parameter entities to be defined 

    std.links -  element type to keep HyTime links
-->

<!ENTITY % std.links    "<!ELEMENT links  EMPTY>"  >



<!--     
            Context for clauses/subcluases
            No hanging paragraphs more - Directives, Part 3, 1997
-->

<!ENTITY % lh0   "
 (((%m.pseq;)+, (tl)?) | 
                ((((h1, (%float;)*), (h1, (%float;)*)+) | (p1, (%float;)*)+) | tl))
">

<!-- ***** need last `*' ? -->
<!ENTITY % lh1   "
 (((%m.pseq;)+, (tl)?) | 
                ((((h2, (%float;)*), (h2, (%float;)*)+) | (p2, (%float;)*)+) | tl))*
">
<!ENTITY % lh2   "
 (((%m.pseq;)+) | 
                ((((h3, (%float;)*), (h3, (%float;)*)+) | (p3, (%float;)*)+)))
">
<!ENTITY % lh3   "
 (((%m.pseq;)+) | 
                ((((h4, (%float;)*), (h4, (%float;)*)+) | (p4, (%float;)*)+)))
">
<!ENTITY % lh4   "
 (((%m.pseq;)+) | 
                ((((h5, (%float;)*), (h5, (%float;)*)+) | (p5, (%float;)*)+)))
">
<!ENTITY % lh5   "
 (((%m.pseq;)+) | 
                ((((h6, (%float;)*), (h6, (%float;)*)+) | (p6, (%float;)*)+)))
">

<!ENTITY % lh6   "(%m.pseq;)+" >



<!ENTITY % lp1   "p,(%m.pseq;)*,(p2+,(%float;)*)*" >
<!ENTITY % lp2   "p,(%m.pseq;)*,(p3+,(%float;)*)*" >
<!ENTITY % lp3   "p,(%m.pseq;)*,(p4+,(%float;)*)*" >
<!ENTITY % lp4   "p,(%m.pseq;)*,(p5+,(%float;)*)*" >
<!ENTITY % lp5   "p,(%m.pseq;)*,(p6+,(%float;)*)*" >
<!ENTITY % lp6   "p,(%m.pseq;)*" >

<!ENTITY % std.inf 'status (normative|informative) #FIXED "informative"' >
<!ENTITY % std.nor 'status (normative|informative) #FIXED "normative"' >
<!-- ENTITY % st.any 'status (normative|informative) #IMPLIED' -->


<!-- 
          overall document structure 
-->
<!--      ELEMENTS    CONTENT                      -->
<!ELEMENT %std.name;    (%std.model;)     >

<!ATTLIST %std.name;
          language    (UK|FR|ZZ)   "ZZ"
>

%std.profile; 

%std.links;

<!-- Title Page Module -->
<!ENTITY % stdex-tpage.module "INCLUDE" >
<![%stdex-tpage.module;[
<!ENTITY % stdex-tpage.mod
    PUBLIC "-//ISO/CS//DTD std::tpage//EN" "stdex-tpage.mod" >
%stdex-tpage.mod;]]>

<!-- Last Cover Page Module -->
<!ENTITY % stdex-lpage.module "INCLUDE" >
<![%stdex-lpage.module;[
<!ENTITY % stdex-lpage.mod
    PUBLIC "-//ISO/CS//DTD std::lpage//EN" "stdex-lpage.mod" >
%stdex-lpage.mod;]]>

<!-- Table of Contents Module -->
<!ENTITY % stdex-toc.module "INCLUDE" >
<![%stdex-toc.module;[
<!ENTITY % stdex-toc.mod
    PUBLIC "-//ISO/CS//DTD std::toc//EN" "stdex-toc.mod" >
%stdex-toc.mod;]]>

<!-- Index Module -->
<!ENTITY % stdex-index.module "INCLUDE" >
<![%stdex-index.module;[
<!ENTITY % stdex-index.mod
    PUBLIC "-//ISO/CS//DTD std::index//EN" "stdex-index.mod" >
%stdex-index.mod;]]>

<!-- Foreword Module -->
<!ENTITY % stdex-foreword.module "INCLUDE" >
<![%stdex-foreword.module;[
<!ENTITY % stdex-foreword.mod
    PUBLIC "-//ISO/CS//DTD std::foreword//EN" "stdex-foreword.mod" >
%stdex-foreword.mod;]]>

<!-- Introduction Module -->
<!ENTITY % stdex-intro.module "INCLUDE" >
<![%stdex-intro.module;[
<!ENTITY % stdex-intro.mod
    PUBLIC "-//ISO/CS//DTD std::intro//EN" "stdex-intro.mod" >
%stdex-intro.mod;]]>

<!-- Body Module -->
<!ENTITY % stdex-body.module "INCLUDE" >
<![%stdex-body.module;[
<!ENTITY % stdex-body.mod
    PUBLIC "-//ISO/CS//DTD std::body//EN" "stdex-body.mod" >
%stdex-body.mod;]]>

<!-- Annex Module -->
<!ENTITY % stdex-annex.module "INCLUDE" >
<![%stdex-annex.module;[
<!ENTITY % stdex-annex.mod
    PUBLIC "-//ISO/CS//DTD std::annex//EN" "stdex-annex.mod" >
%stdex-annex.mod;]]>

<!-- Nested Subdivisions Module -->
<!ENTITY % stdex-nest.module "INCLUDE" >
<![%stdex-nest.module;[
<!ENTITY % stdex-nest.mod
    PUBLIC "-//ISO/CS//DTD std::nested subdivisions//EN" "stdex-nest.mod" >
%stdex-nest.mod;]]>

<!-- Displayed Components Module -->
<!ENTITY % stdex-disp.module "INCLUDE" >
<![%stdex-disp.module;[
<!ENTITY % stdex-disp.mod
    PUBLIC "-//ISO/CS//DTD std::displayed components//EN" "stdex-disp.mod" >
%stdex-disp.mod;]]>

<!-- Terminology List Module -->
<!ENTITY % stdex-tl.module "INCLUDE" >
<![%stdex-tl.module;[
<!ENTITY % stdex-tl.mod
    PUBLIC "-//ISO/CS//DTD m12083//EN" "stdex-tl-simple.mod" >
%stdex-tl.mod;]]>

<!-- Inline Components Module -->
<!ENTITY % stdex-inline.module "INCLUDE" >
<![%stdex-inline.module;[
<!ENTITY % stdex-inline.mod
    PUBLIC "-//ISO/CS//DTD std::inline//EN" "stdex-inline.mod" >
%stdex-inline.mod;]]>

<!-- Referential Components Module -->
<!ENTITY % stdex-ref.module "INCLUDE" >
<![%stdex-ref.module;[
<!ENTITY % stdex-ref.mod
    PUBLIC "-//ISO/CS//DTD std::referential components//EN" "stdex-ref.mod" >
%stdex-ref.mod;]]>

<!-- Float Components Module -->
<!ENTITY % stdex-float.module "INCLUDE" >
<![%stdex-float.module;[
<!ENTITY % stdex-float.mod
    PUBLIC "-//ISO/CS//DTD std::float components//EN" "stdex-float.mod" >
%stdex-float.mod;]]>

<!-- Specific Components Module -->
<!ENTITY % stdex-specific.module "INCLUDE" >
<![%stdex-specific.module;[
<!ENTITY % stdex-specific.mod
    PUBLIC "-//ISO/CS//DTD std::very specific components//EN" "stdex-specific.mod" >
%stdex-specific.mod;]]>

<!ENTITY % std.entity  PUBLIC "-//ISO/CS//DTD std::entity::9573//EN" "se9573.dtd" >

%std.entity;

<!-- end of ITSIG exchange Base Module -->
